
[general]
	"Enable 'q' Button" = true
	"'q' Button on the Right" = false
	"Disable Q Menu Effects" = false
	#Disable this to turn off the quark system that makes features turn off when specified mods with the same content are loaded
	"Use Anti Overlap" = true
	#Quark replaces the Piston logic to allow for its piston features to work. If you're having troubles, try turning this off.
	"Use Piston Logic Replacement" = true
	#Allowed values: (0,)
	"Piston Push Limit" = 12
	#How many advancements deep you can see in the advancement screen. Vanilla is 2.
	#Allowed values: (0,)
	"Advancement Visibility Depth" = 2
	#Blocks that Quark should treat as Shulker Boxes.
	"Shulker Boxes" = ["minecraft:white_shulker_box", "minecraft:orange_shulker_box", "minecraft:magenta_shulker_box", "minecraft:light_blue_shulker_box", "minecraft:yellow_shulker_box", "minecraft:lime_shulker_box", "minecraft:pink_shulker_box", "minecraft:gray_shulker_box", "minecraft:light_gray_shulker_box", "minecraft:cyan_shulker_box", "minecraft:purple_shulker_box", "minecraft:blue_shulker_box", "minecraft:brown_shulker_box", "minecraft:green_shulker_box", "minecraft:red_shulker_box", "minecraft:black_shulker_box"]
	#Should Quark treat anything with 'shulker_box' in its item identifier as a shulker box?
	"Interpret Shulker Box Like Blocks" = true
	#Set to true to enable a system that debugs quark's worldgen features. This should ONLY be used if you're asked to by a dev.
	"Enable Worldgen Watchdog" = false
	#Set to true if you need to find the class name for a screen that's causing problems
	"Print Screen Classnames" = false
	#A list of screens that can accept quark's buttons. Use "Print Screen Classnames" to find the names of any others you'd want to add.
	"Allowed Screens" = []
	#If set to true, the 'Allowed Screens' option will work as a Blacklist rather than a Whitelist. WARNING: Use at your own risk as some mods may not support this.
	"Use Screen List Blacklist" = false
	#Set to true to make the quark big worldgen features such as stone clusters generate as spheres rather than unique shapes. It's faster, but won't look as cool
	"Use Fast Worldgen" = false
	#Enables quark network profiling features. Do not enable this unless requested to.
	"Enable Network Profiling" = false

[categories]
	Automation = true
	Building = true
	Management = true
	Tools = true
	Tweaks = true
	World = true
	Mobs = true
	Client = true
	Experimental = true
	Oddities = false

[automation]
	"Redstone Randomizer" = true
	"Pistons Move Tile Entities" = true
	"Obsidian Plate" = true
	"Metal Buttons" = true
	"Jukebox Automation" = true
	"Iron Rod" = true
	Gravisand = true
	"Feeding Trough" = true
	"Ender Watcher" = true
	"Dispensers Place Blocks" = true
	Chute = true
	"Chains Connect Blocks" = true

	[automation.pistons_move_tile_entities]
		"Enable Chests Moving Together" = true
		"Render Blacklist" = ["psi:programmer", "botania:starfield"]
		"Movement Blacklist" = ["minecraft:spawner", "integrateddynamics:cable", "randomthings:blockbreaker", "minecraft:ender_chest", "minecraft:enchanting_table", "minecraft:trapped_chest", "quark:spruce_trapped_chest", "quark:birch_trapped_chest", "quark:jungle_trapped_chest", "quark:acacia_trapped_chest", "quark:dark_oak_trapped_chest", "endergetic:bolloom_bud"]
		"Delayed Update List" = ["minecraft:dispenser", "minecraft:dropper"]

	[automation.metal_buttons]
		"Enable Iron" = true
		"Enable Gold" = true

	[automation.feeding_trough]
		#How long, in game ticks, between animals being able to eat from the trough
		#Allowed values: [1,)
		Cooldown = 30
		#The maximum amount of animals allowed around the trough's range for an animal to enter love mode
		"Max Animals" = 32
		#The chance (between 0 and 1) for an animal to enter love mode when eating from the trough
		#Allowed values: (0,1]
		"Love Chance" = 0.333333333
		Range = 10.0

	[automation.dispensers_place_blocks]
		Blacklist = ["minecraft:water", "minecraft:lava", "minecraft:fire"]

[building]
	"Wooden Posts" = true
	"Vertical Slabs" = true
	"Vertical Planks" = true
	"Variant Ladders" = true
	"Variant Furnaces" = true
	"Variant Chests" = false
	"Variant Bookshelves" = true
	Thatch = true
	"Sturdy Stone" = true
	Stools = true
	"Soul Sandstone" = true
	Shingles = true
	"Shear Vines" = true
	Rope = true
	"Oriental Palette" = true
	"Nether Brick Fence Gate" = true
	"More Stone Variants" = true
	"More Potted Plants" = true
	"More Brick Types" = true
	Midori = true
	"Leaf Carpet" = true
	"Industrial Palette" = true
	Hedges = true
	Grate = true
	"Gold Bars" = true
	"Glass Item Frame" = true
	"Framed Glass" = true
	"Duskbound Blocks" = true
	"Compressed Blocks" = true
	"Celebratory Lamps" = true

	[building.vertical_planks]
		#This feature disables itself if any of the following mods are loaded: 
		# - woodworks
		#This is done to prevent content overlap.
		#You can turn this on to force the feature to be loaded even if the above mods are also loaded.
		"Ignore Anti Overlap" = false

	[building.variant_ladders]
		#This feature disables itself if any of the following mods are loaded: 
		# - woodworks
		#This is done to prevent content overlap.
		#You can turn this on to force the feature to be loaded even if the above mods are also loaded.
		"Ignore Anti Overlap" = false
		"Change Names" = true

	[building.variant_chests]
		#This feature disables itself if any of the following mods are loaded: 
		# - woodworks
		#This is done to prevent content overlap.
		#You can turn this on to force the feature to be loaded even if the above mods are also loaded.
		"Ignore Anti Overlap" = false
		"Replace Worldgen Chests" = false
		"Enable Reverting Wooden Chests" = true
		#Chests to put in each structure. The format per entry is "structure=chest", where "structure" is a structure ID, and "chest" is a block ID, which must correspond to a standard chest block.
		"Structure Chests" = ["minecraft:village_plains=quark:oak_chest", "minecraft:igloo=quark:spruce_chest", "minecraft:village_snowy=quark:spruce_chest", "minecraft:village_taiga=quark:spruce_chest", "minecraft:desert_pyramid=quark:birch_chest", "minecraft:jungle_pyramid=quark:jungle_chest", "minecraft:village_desert=quark:jungle_chest", "minecraft:village_savanna=quark:acacia_chest", "minecraft:mansion=quark:dark_oak_chest", "minecraft:pillager_outpost=quark:dark_oak_chest", "minecraft:ruined_portal=quark:crimson_chest", "minecraft:bastion_remnant=quark:crimson_chest", "minecraft:fortress=quark:nether_brick_chest", "minecraft:end_city=quark:purpur_chest"]

	[building.variant_bookshelves]
		#This feature disables itself if any of the following mods are loaded: 
		# - woodworks
		#This is done to prevent content overlap.
		#You can turn this on to force the feature to be loaded even if the above mods are also loaded.
		"Ignore Anti Overlap" = false
		"Change Names" = true

	[building.thatch]
		#Allowed values: [0,1]
		"Fall Damage Multiplier" = 0.5

	[building.rope]
		#Set to true to allow ropes to move Tile Entities even if Pistons Push TEs is disabled.
		#Note that ropes will still use the same blacklist.
		"Force Enable Move Tile Entities" = false
		"Enable Dispenser Behavior" = true

	[building.oriental_palette]
		"Enable Paper Blocks" = true
		"Enable Bamboo Mats" = true

	[building.more_stone_variants]
		"Enable Bricks" = true
		"Enable Chiseled Bricks" = true
		"Enable Pillar" = true

	[building.more_brick_types]
		#This also comes with a utility recipe for Red Nether Bricks
		"Enable Blue Nether Bricks" = true
		#This also includes Red Sandstone Bricks and Soul Sandstone Bricks
		"Enable Sandstone Bricks" = true
		#This also includes Mossy Cobblestone Bricks
		"Enable Cobblestone Bricks" = true
		#Requires Cobblestone Bricks to be enabled
		"Enable Blackstone Bricks" = true
		#Requires Cobblestone Bricks to be enabled
		"Enable Dirt Bricks" = true
		#Requires Cobblestone Bricks to be enabled
		"Enable Netherrack Bricks" = true

	[building.leaf_carpet]
		#This feature disables itself if any of the following mods are loaded: 
		# - woodworks
		#This is done to prevent content overlap.
		#You can turn this on to force the feature to be loaded even if the above mods are also loaded.
		"Ignore Anti Overlap" = false

	[building.industrial_palette]
		"Enable Iron Plates" = true
		"Enable Iron Ladder" = true

	[building.gold_bars]
		"Generate In Nether Fortress" = true

	[building.glass_item_frame]
		"Glass Item Frames Update Maps" = true
		#The scale at which items render in the Glass Item Frame. To match the vanilla Item Frame size, set to 1.0
		"Item Render Scale" = 1.5

	[building.compressed_blocks]
		"Charcoal Block and Blaze Lantern Stay On Fire Forever" = true
		#Allowed values: [0,)
		"Charcoal Block Fuel Time" = 16000
		#Allowed values: [0,)
		"Blaze Lantern Fuel Time" = 24000
		#Allowed values: [0,)
		"Stick Block Fuel Time" = 900
		#Allowed values: [0,)
		"Bamboo Bundle Fuel Time" = 500
		"Enable Charcoal Block" = false
		"Enable Sugar Cane Block" = true
		"Enable Bamboo Block" = true
		"Enable Cactus Block" = true
		"Enable Chorus Fruit Block" = true
		"Enable Stick Block" = true
		"Enable Apple Crate" = true
		"Enable Golden Apple Crate" = true
		"Enable Potato Crate" = false
		"Enable Carrot Crate" = false
		"Enable Beetroot Crate" = false
		"Enable Cocoa Bean Sack" = true
		"Enable Nether Wart Sack" = true
		"Enable Gunpowder Sack" = true
		"Enable Berry Sack" = true
		"Enable Glow Berry Sack" = true
		"Enable Blaze Lantern" = true
		"Enable Bonded Leather" = true
		"Enable Bonded Rabbit Hide" = true

	[building.celebratory_lamps]
		"Light Level" = 15

[management]
	"Quick Armor Swapping" = true
	"Item Sharing" = true
	"Inventory Sorting" = true
	"Hotbar Changer" = true
	"Expanded Item Interactions" = true
	"Easy Transfering" = true
	"Chests In Boats" = true

	[management.quick_armor_swapping]
		"Swap Off Hand" = true

	[management.item_sharing]
		"Render Items In Chat" = true

	[management.inventory_sorting]
		"Enable Player Inventory" = true
		"Enable Player Inventory In Chests" = true
		"Enable Chests" = true
		#Play a click when sorting inventories using keybindings
		"Satisfying Click" = true

	[management.expanded_item_interactions]
		"Enable Armor Interaction" = true
		"Enable Shulker Box Interaction" = true
		"Enable Lava Interaction" = true

	[management.easy_transfering]
		"Enable Shift Lock" = true

[tools]
	Trowel = true
	"Slime In A Bucket" = true
	"Seed Pouch" = true
	Pickarang = true
	"Pathfinder Maps" = true
	"Parrot Eggs" = true
	"Endermosh Music Disc" = true
	"Color Runes" = true
	Camera = true
	"Bundle Recipe" = true
	"Bottled Cloud" = true
	"Beacon Redirection" = true
	"Ancient Tomes" = true
	"Ambient Discs" = true
	Abacus = true

	[tools.trowel]
		#Amount of blocks placed is this value + 1.
		#Set to 0 to make the Trowel unbreakable
		#Allowed values: [0,)
		"Trowel Max Durability" = 0

	[tools.seed_pouch]
		"Max Items" = 640
		"Show All Variants In Creative" = true
		"Shift Range" = 3

	[tools.pickarang]
		#How long it takes before the Pickarang starts returning to the player if it doesn't hit anything.
		Timeout = 20
		#How long it takes before the Flamarang starts returning to the player if it doesn't hit anything.
		"Netherite Timeout" = 20
		#Pickarang harvest level. 2 is Iron, 3 is Diamond, 4 is Netherite.
		"Harvest Level" = 3
		#Flamarang harvest level. 2 is Iron, 3 is Diamond, 4 is Netherite.
		"Netherite Harvest Level" = 4
		#Pickarang durability. Set to -1 to have the Pickarang be unbreakable.
		Durability = 800
		#Flamarang durability. Set to -1 to have the Flamarang be unbreakable.
		"Netherite Durability" = 1040
		#Pickarang max hardness breakable. 22.5 is ender chests, 25.0 is monster boxes, 50 is obsidian. Most things are below 5.
		"Max Hardness" = 20.0
		#Flamarang max hardness breakable. 22.5 is ender chests, 25.0 is monster boxes, 50 is obsidian. Most things are below 5.
		"Netherite Max Hardness" = 20.0
		#Set this to true to use the recipe without the Heart of Diamond, even if the Heart of Diamond is enabled.
		"Never Use Heart Of Diamond" = false
		#Set this to true to disable the short cooldown between throwing Pickarangs.
		"No Cooldown" = false
		#Set this to true to disable the short cooldown between throwing Flamarangs.
		"Netherite No Cooldown" = false

	[tools.pathfinder_maps]
		#In this section you can add custom Pathfinder Maps. This works for both vanilla and modded biomes.
		#Each custom map must be on its own line.
		#The format for a custom map is as follows:
		#<id>,<level>,<min_price>,<max_price>,<color>,<name>
		#
		#With the following descriptions:
		# - <id> being the biome's ID NAME. You can find vanilla names here - https://minecraft.gamepedia.com/Biome#Biome_IDs
		# - <level> being the Cartographer villager level required for the map to be unlockable
		# - <min_price> being the cheapest (in Emeralds) the map can be
		# - <max_price> being the most expensive (in Emeralds) the map can be
		# - <color> being a hex color (without the #) for the map to display. You can generate one here - https://htmlcolorcodes.com/
		#
		#Here's an example of a map to locate Ice Mountains:
		#minecraft:ice_mountains,2,8,14,7FE4FF
		Customs = []
		"Search Radius" = 6400
		"Search Distance Increment" = 8
		"Xp From Trade" = 5

	[tools.parrot_eggs]
		#The chance feeding a parrot will produce an egg
		Chance = 0.05
		#How long it takes to create an egg
		"Egg Time" = 12000
		"Enable Special Awesome Parrot" = true

	[tools.endermosh_music_disc]
		"Play Endermosh During Enderdragon Fight" = false
		"Add To End City Loot" = true
		"Loot Weight" = 5
		"Loot Quality" = 1

	[tools.color_runes]
		"Dungeon Weight" = 10
		"Nether Fortress Weight" = 8
		"Jungle Temple Weight" = 8
		"Desert Temple Weight" = 8
		"Item Quality" = 0
		"Apply Cost" = 5

	[tools.bottled_cloud]
		"Cloud Level Bottom" = 191
		"Cloud Level Top" = 196

	[tools.ancient_tomes]
		#Format is lootTable,weight. i.e. "minecraft:chests/stronghold_library,30"
		"Loot Tables" = ["minecraft:chests/stronghold_library,30", "minecraft:chests/simple_dungeon,20", "minecraft:chests/bastion_treasure,25", "minecraft:chests/woodland_mansion,15", "minecraft:chests/nether_bridge,0", "minecraft:chests/underwater_ruin_big,0", "minecraft:chests/underwater_ruin_small,0", "quark:misc/monster_box,5"]
		"Item Quality" = 2
		"Normal Upgrade Cost" = 10
		"Limit Break Upgrade Cost" = 30
		"Valid Enchantments" = ["minecraft:feather_falling", "minecraft:thorns", "minecraft:sharpness", "minecraft:smite", "minecraft:bane_of_arthropods", "minecraft:knockback", "minecraft:fire_aspect", "minecraft:looting", "minecraft:sweeping", "minecraft:efficiency", "minecraft:unbreaking", "minecraft:fortune", "minecraft:power", "minecraft:punch", "minecraft:luck_of_the_sea", "minecraft:lure", "minecraft:loyalty", "minecraft:riptide", "minecraft:impaling", "minecraft:piercing"]
		"Overleveled Books Glow Rainbow" = true
		#Master Librarians will offer to exchange Ancient Tomes, provided you give them a max-level Enchanted Book of the Tome's enchantment too.
		"Librarians Exchange Ancient Tomes" = true

	[tools.ambient_discs]
		"Drop On Spider Kill" = true

	[tools.abacus]

		[tools.abacus.highlight_color]
			A = 0.4
			R = 0.0
			G = 0.0
			B = 0.0

[tweaks]
	"Villagers Follow Emeralds" = true
	"Vexes Die With Their Masters" = true
	"Utility Recipes" = true
	"Snow Golem Player Heads" = true
	"Simple Harvest" = true
	"Sign Editing" = true
	"Replace Scaffolding" = true
	"Reacharound Placing" = true
	"Poison Potato Usage" = true
	"Pig Litters" = true
	"Pat The Dogs" = true
	"Note Block Mob Sounds" = true
	"More Banner Layers" = true
	"Lock Rotation" = true
	"Hoe Harvesting" = true
	"Grab Chickens" = true
	"Glass Shard" = true
	"Enhanced Ladders" = true
	Emotes = false
	"Dragon Scales" = true
	"Double Door Opening" = true
	"Compasses Work Everywhere" = true
	"Campfires Boost Elytra" = true
	"Better Elytra Rocket" = true
	"Automatic Recipe Unlock" = true
	"Armed Armor Stands" = true
	"Skull Pikes" = true

	[tweaks.utility_recipes]
		#Can any wool color be dyed?
		"Dye Any Wool" = true
		#Can other stone-like materials be used for crafting stone tools?
		"Better Stone Tool Crafting" = true
		#Can a dispenser be crafted by adding a bow to a dropper?
		"Enable Dispenser" = true
		#Can a repeater be crafted with the pattern for a redstone torch?
		"Enable Repeater" = true
		#Can you craft a minecart around blocks which can be placed inside?
		"Enable Minecarts" = true
		#Can you craft four chests at once using logs?
		"Logs To Chests" = true
		#Can Coral be crafted into dye?
		"Coral To Dye" = true
		#Can cookies, paper, and bread be crafted in a 2x2 crafting table?
		"Bent Recipes" = true
		#Can Rotten Flesh and Poisonous Potatoes be composted?
		"Compostable Toxins" = true
		#Does Dragon Breath return a bottle when used as a reagent or material?
		"Effective Dragon Breath" = true
		#Can torches can be used as fuel in furnaces?
		"Torches Burn" = true
		#Can bones be smelted down to bone meal?
		"Bone Meal Utility" = true

	[tweaks.simple_harvest]
		#Can players harvest crops with empty hand clicks?
		"Empty Hand Harvest" = true
		#Does harvesting crops with a hoe cost durability?
		"Harvesting Costs Durability" = false
		#Should Quark look for (nonvanilla) crops, and handle them?
		"Do Harvesting Search" = true
		#Which crops can be harvested?
		#Format is: "harvestState[,afterHarvest]", i.e. "minecraft:wheat[age=7]" or "minecraft:cocoa[age=2,facing=north],minecraft:cocoa[age=0,facing=north]"
		"Harvestable Blocks" = ["minecraft:wheat[age=7]", "minecraft:carrots[age=7]", "minecraft:potatoes[age=7]", "minecraft:beetroots[age=3]", "minecraft:nether_wart[age=3]", "minecraft:cocoa[age=2,facing=north],minecraft:cocoa[age=0,facing=north]", "minecraft:cocoa[age=2,facing=south],minecraft:cocoa[age=0,facing=south]", "minecraft:cocoa[age=2,facing=east],minecraft:cocoa[age=0,facing=east]", "minecraft:cocoa[age=2,facing=west],minecraft:cocoa[age=0,facing=west]"]
		#Which blocks should right click harvesting simulate a click on instead of breaking?
		#This is for blocks like sweet berry bushes, which have right click harvesting built in.
		"Right Clickable Blocks" = ["minecraft:sweet_berry_bush", "minecraft:cave_vines"]

	[tweaks.sign_editing]
		"Requires Empty Hand" = false

	[tweaks.replace_scaffolding]
		#How many times the algorithm for finding out where a block would be placed is allowed to turn. If you set this to large values (> 3) it may start producing weird effects.
		"Max Bounces" = 1

	[tweaks.reacharound_placing]
		#Allowed values: [0,1]
		Leniency = 0.5
		Whitelist = []
		Blacklist = []
		Display = "[  ]"
		"Display Horizontal" = "<  >"

		[tweaks.reacharound_placing.color]
			R = 1.0
			G = 1.0
			B = 1.0

	[tweaks.poison_potato_usage]
		Chance = 0.1
		"Poison Effect" = true

	[tweaks.pig_litters]
		#Allowed values: [1,)
		"Min Pig Litter Size" = 2
		#Allowed values: [1,)
		"Max Pig Litter Size" = 3
		"Pigs Eat Golden Carrots" = true
		#Allowed values: [0,)
		"Min Golden Carrot Boost" = 0
		#Allowed values: [0,)
		"Max Golden Carrot Boost" = 2

	[tweaks.pat_the_dogs]
		#How many ticks it takes for a dog to want affection after being pet/tamed; leave -1 to disable
		"Dogs Want Love" = -1
		#Whether you can pet all mobs
		"Pet All Mobs" = false
		#If `petAllMobs` is set, these mobs still can't be pet
		"Pettable Denylist" = ["minecraft:ender_dragon", "minecraft:wither", "minecraft:armor_stand"]

	[tweaks.more_banner_layers]
		#Allowed values: [1,16]
		"Layer Limit" = 16

	[tweaks.grab_chickens]
		"Needs No Helmet" = true
		#Set to 0 to disable
		"Slowness Level" = 1

	[tweaks.enhanced_ladders]
		#Allowed values: (,0]
		"Fall Speed" = -0.2
		"Allow Freestanding" = true
		"Allow Dropping Down" = true
		"Allow Sliding" = true
		"Allow Inventory Sneak" = true

	[tweaks.emotes]
		#The enabled default emotes. Remove from this list to disable them. You can also re-order them, if you feel like it.
		"Enabled Emotes" = ["no", "yes", "wave", "salute", "cheer", "clap", "think", "point", "shrug", "headbang", "weep", "facepalm"]
		#The list of Custom Emotes to be loaded.
		#Watch the tutorial on Custom Emotes to learn how to make your own: https://youtu.be/ourHUkan6aQ
		"Custom Emotes" = []
		#Enable this to make custom emotes read the file every time they're triggered so you can edit on the fly.
		#DO NOT ship enabled this in a modpack, please.
		"Custom Emote Debug" = false

	[tweaks.compasses_work_everywhere]
		"Enable Compass Nerf" = true
		"Enable Clock Nerf" = true
		"Enable Nether" = true
		"Enable End" = true

	[tweaks.campfires_boost_elytra]
		"Boost Strength" = 0.5
		"Max Speed" = 1.0

	[tweaks.automatic_recipe_unlock]
		#A list of recipe names that should NOT be added in by default
		"Ignored Recipes" = []
		"Force Limited Crafting" = false
		"Disable Recipe Book" = false
		#If enabled, advancements granting recipes will be stopped from loading, potentially reducing the lagspike on first world join.
		"Filter Recipe Advancements" = true

	[tweaks.skull_pikes]
		"Pike Range" = 5.0

[world]
	"Spiral Spires" = true
	Permafrost = true
	"No More Lava Pockets" = true
	"New Stone Types" = true
	"Nether Obsidian Spikes" = true
	"Monster Box" = true
	"Glimmering Weald" = true
	"Fairy Rings" = true
	Corundum = true
	"Chorus Vegetation" = true
	"Blossom Trees" = true
	"Big Stone Clusters" = true
	"Big Dungeon" = true
	"Azalea Wood" = true

	[world.spiral_spires]
		Rarity = 200
		Radius = 15
		#Set to 0 to turn off Myalite Conduits
		"Myalite Conduit Distance" = 24
		"Renewable Myalite" = true

		[world.spiral_spires.dimensions]
			"Is Blacklist" = false
			Dimensions = ["minecraft:the_end"]

		[world.spiral_spires.biomes]

			[world.spiral_spires.biomes.types]
				#Allowed values: [[hot, cold, sparse, dense, wet, dry, savanna, coniferous,
				# jungle, spooky, dead, lush, mushroom, magical, rare,
				# plateau, modified, ocean, river, water, mesa, forest,
				# plains, mountain, hills, swamp, sandy, snowy, wasteland,
				# beach, void, overworld, nether, end, underground]
				"Biome Types" = []
				"Is Blacklist" = true

			[world.spiral_spires.biomes.biomes]
				Biomes = ["minecraft:end_highlands"]
				"Is Blacklist" = false

	[world.permafrost]

		[world.permafrost.generation_settings]
			#Allowed values: [0,)
			Rarity = 2
			#Allowed values: [-64,320]
			"Min Y Level" = 105
			#Allowed values: [-64,320]
			"Max Y Level" = 140
			#Allowed values: [0,)
			"Horizontal Size" = 100
			#Allowed values: [0,)
			"Vertical Size" = 30
			#Allowed values: [0,)
			"Horizontal Variation" = 10
			#Allowed values: [0,)
			"Vertical Variation" = 5

			[world.permafrost.generation_settings.dimensions]
				"Is Blacklist" = false
				Dimensions = ["minecraft:overworld"]

			[world.permafrost.generation_settings.biomes]

				[world.permafrost.generation_settings.biomes.types]
					#Allowed values: [[hot, cold, sparse, dense, wet, dry, savanna, coniferous,
					# jungle, spooky, dead, lush, mushroom, magical, rare,
					# plateau, modified, ocean, river, water, mesa, forest,
					# plains, mountain, hills, swamp, sandy, snowy, wasteland,
					# beach, void, overworld, nether, end, underground]
					"Biome Types" = []
					"Is Blacklist" = true

				[world.permafrost.generation_settings.biomes.biomes]
					Biomes = ["minecraft:frozen_peaks"]
					"Is Blacklist" = false

	[world.new_stone_types]
		"Enable Limestone" = true
		"Enable Jasper" = true
		"Enable Shale" = true
		"Enable Myalite" = true

		[world.new_stone_types.limestone]

			[world.new_stone_types.limestone.dimensions]
				"Is Blacklist" = false
				Dimensions = ["minecraft:overworld"]

			[world.new_stone_types.limestone.oregen_lower]
				#Allowed values: [-64,320]
				"Min Height" = 0
				#Allowed values: [-64,320]
				"Max Height" = 60
				#Allowed values: [0,)
				"Cluster Size" = 64
				#Can be a positive integer or a fractional value betweeen 0 and 1. If integer, it spawns that many clusters. If fractional, it has that chance to spawn a single cluster. Set exactly zero to not spawn at all.
				#Allowed values: [0,)
				"Cluster Count" = 2.0

			[world.new_stone_types.limestone.oregen_upper]
				#Allowed values: [-64,320]
				"Min Height" = 64
				#Allowed values: [-64,320]
				"Max Height" = 128
				#Allowed values: [0,)
				"Cluster Size" = 64
				#Can be a positive integer or a fractional value betweeen 0 and 1. If integer, it spawns that many clusters. If fractional, it has that chance to spawn a single cluster. Set exactly zero to not spawn at all.
				#Allowed values: [0,)
				"Cluster Count" = 0.1666666

		[world.new_stone_types.jasper]

			[world.new_stone_types.jasper.dimensions]
				"Is Blacklist" = false
				Dimensions = ["minecraft:overworld"]

			[world.new_stone_types.jasper.oregen_lower]
				#Allowed values: [-64,320]
				"Min Height" = 0
				#Allowed values: [-64,320]
				"Max Height" = 60
				#Allowed values: [0,)
				"Cluster Size" = 64
				#Can be a positive integer or a fractional value betweeen 0 and 1. If integer, it spawns that many clusters. If fractional, it has that chance to spawn a single cluster. Set exactly zero to not spawn at all.
				#Allowed values: [0,)
				"Cluster Count" = 2.0

			[world.new_stone_types.jasper.oregen_upper]
				#Allowed values: [-64,320]
				"Min Height" = 64
				#Allowed values: [-64,320]
				"Max Height" = 128
				#Allowed values: [0,)
				"Cluster Size" = 64
				#Can be a positive integer or a fractional value betweeen 0 and 1. If integer, it spawns that many clusters. If fractional, it has that chance to spawn a single cluster. Set exactly zero to not spawn at all.
				#Allowed values: [0,)
				"Cluster Count" = 0.1666666

		[world.new_stone_types.shale]

			[world.new_stone_types.shale.dimensions]
				"Is Blacklist" = false
				Dimensions = ["minecraft:overworld"]

			[world.new_stone_types.shale.oregen_lower]
				#Allowed values: [-64,320]
				"Min Height" = 0
				#Allowed values: [-64,320]
				"Max Height" = 60
				#Allowed values: [0,)
				"Cluster Size" = 64
				#Can be a positive integer or a fractional value betweeen 0 and 1. If integer, it spawns that many clusters. If fractional, it has that chance to spawn a single cluster. Set exactly zero to not spawn at all.
				#Allowed values: [0,)
				"Cluster Count" = 2.0

			[world.new_stone_types.shale.oregen_upper]
				#Allowed values: [-64,320]
				"Min Height" = 64
				#Allowed values: [-64,320]
				"Max Height" = 128
				#Allowed values: [0,)
				"Cluster Size" = 64
				#Can be a positive integer or a fractional value betweeen 0 and 1. If integer, it spawns that many clusters. If fractional, it has that chance to spawn a single cluster. Set exactly zero to not spawn at all.
				#Allowed values: [0,)
				"Cluster Count" = 0.1666666

		[world.new_stone_types.myalite]

			[world.new_stone_types.myalite.dimensions]
				"Is Blacklist" = false
				Dimensions = ["minecraft:the_end"]

			[world.new_stone_types.myalite.oregen_lower]
				#Allowed values: [-64,320]
				"Min Height" = 0
				#Allowed values: [-64,320]
				"Max Height" = 60
				#Allowed values: [0,)
				"Cluster Size" = 64
				#Can be a positive integer or a fractional value betweeen 0 and 1. If integer, it spawns that many clusters. If fractional, it has that chance to spawn a single cluster. Set exactly zero to not spawn at all.
				#Allowed values: [0,)
				"Cluster Count" = 2.0

			[world.new_stone_types.myalite.oregen_upper]
				#Allowed values: [-64,320]
				"Min Height" = 64
				#Allowed values: [-64,320]
				"Max Height" = 128
				#Allowed values: [0,)
				"Cluster Size" = 64
				#Can be a positive integer or a fractional value betweeen 0 and 1. If integer, it spawns that many clusters. If fractional, it has that chance to spawn a single cluster. Set exactly zero to not spawn at all.
				#Allowed values: [0,)
				"Cluster Count" = 0.1666666

	[world.nether_obsidian_spikes]
		#The chance for a chunk to contain spikes (1 is 100%, 0 is 0%)
		"Chance Per Chunk" = 0.1
		#The chance for a spike to be big (1 is 100%, 0 is 0%)
		"Big Spike Chance" = 0.03
		#Should a chunk have spikes, how many would the generator try to place
		"Tries Per Chunk" = 4
		"Big Spike Spawners" = true

		[world.nether_obsidian_spikes.dimensions]
			"Is Blacklist" = false
			Dimensions = ["minecraft:the_nether"]

	[world.monster_box]
		#The chance for the monster box generator to try and place one in a chunk, 1 is 100%
		#This can be higher than 100% if you want multiple per chunk, , 0 is 0%
		"Chance Per Chunk" = 0.2
		"Min Y" = -50
		"Max Y" = 0
		"Min Mob Count" = 5
		"Max Mob Count" = 8
		"Enable Extra Loot Table" = true
		#How many blocks to search vertically from a position before trying to place a block. Higher means you'll get more boxes in open spaces.
		"Search Range" = 15

		[world.monster_box.dimensions]
			"Is Blacklist" = false
			Dimensions = ["minecraft:overworld"]

	[world.fairy_rings]
		"Forest Chance" = 0.00625
		"Plains Chance" = 0.0025
		Ores = ["minecraft:emerald_ore", "minecraft:diamond_ore"]

		[world.fairy_rings.dimensions]
			"Is Blacklist" = false
			Dimensions = ["minecraft:overworld"]

	[world.corundum]
		#Allowed values: [0,1]
		"Crystal Chance" = 0.16
		#Allowed values: [0,1]
		"Crystal Cluster Chance" = 0.2
		#Allowed values: [0,1]
		"Crystal Cluster On Sides Chance" = 0.6
		#Allowed values: [0,1]
		"Double Crystal Chance" = 0.2
		#The chance that a crystal can grow, this is on average 1 in X world ticks, set to a higher value to make them grow slower. Minimum is 1, for every tick. Set to 0 to disable growth.
		"Cave Crystal Growth Chance" = 5
		"Crystals Craft Runes" = true
		"Enable Collateral Movement" = true

		[world.corundum.generation_settings]
			#Allowed values: [0,)
			Rarity = 400
			#Allowed values: [-64,320]
			"Min Y Level" = 0
			#Allowed values: [-64,320]
			"Max Y Level" = 64
			#Allowed values: [0,)
			"Horizontal Size" = 72
			#Allowed values: [0,)
			"Vertical Size" = 20
			#Allowed values: [0,)
			"Horizontal Variation" = 22
			#Allowed values: [0,)
			"Vertical Variation" = 4

			[world.corundum.generation_settings.dimensions]
				"Is Blacklist" = false
				Dimensions = ["minecraft:overworld"]

			[world.corundum.generation_settings.biomes]
				#Allowed values: [[hot, cold, sparse, dense, wet, dry, savanna, coniferous,
				# jungle, spooky, dead, lush, mushroom, magical, rare,
				# plateau, modified, ocean, river, water, mesa, forest,
				# plains, mountain, hills, swamp, sandy, snowy, wasteland,
				# beach, void, overworld, nether, end, underground]
				"Biome Types" = ["ocean"]
				"Is Blacklist" = true

	[world.chorus_vegetation]
		Rarity = 150
		Radius = 7
		"Chunk Attempts" = 120
		"Highlands Chance" = 1.0
		"Midlands Chance" = 0.2
		"Other End Biomes Chance" = 0.0
		"Passive Teleport Chance" = 0.2
		"Endermite Spawn Chance" = 0.01
		"Teleport Duplication Chance" = 0.01

	[world.blossom_trees]
		"Drop Leaf Particles" = true

		[world.blossom_trees.blue]
			Rarity = 200

			[world.blossom_trees.blue.dimensions]
				"Is Blacklist" = false
				Dimensions = ["minecraft:overworld"]

			[world.blossom_trees.blue.biome_config]

				[world.blossom_trees.blue.biome_config.types]
					#Allowed values: [[hot, cold, sparse, dense, wet, dry, savanna, coniferous,
					# jungle, spooky, dead, lush, mushroom, magical, rare,
					# plateau, modified, ocean, river, water, mesa, forest,
					# plains, mountain, hills, swamp, sandy, snowy, wasteland,
					# beach, void, overworld, nether, end, underground]
					"Biome Types" = ["snowy"]
					"Is Blacklist" = false

				[world.blossom_trees.blue.biome_config.biomes]
					Biomes = []
					"Is Blacklist" = true

		[world.blossom_trees.lavender]
			Rarity = 100

			[world.blossom_trees.lavender.dimensions]
				"Is Blacklist" = false
				Dimensions = ["minecraft:overworld"]

			[world.blossom_trees.lavender.biome_config]

				[world.blossom_trees.lavender.biome_config.types]
					#Allowed values: [[hot, cold, sparse, dense, wet, dry, savanna, coniferous,
					# jungle, spooky, dead, lush, mushroom, magical, rare,
					# plateau, modified, ocean, river, water, mesa, forest,
					# plains, mountain, hills, swamp, sandy, snowy, wasteland,
					# beach, void, overworld, nether, end, underground]
					"Biome Types" = ["swamp"]
					"Is Blacklist" = false

				[world.blossom_trees.lavender.biome_config.biomes]
					Biomes = []
					"Is Blacklist" = true

		[world.blossom_trees.orange]
			Rarity = 100

			[world.blossom_trees.orange.dimensions]
				"Is Blacklist" = false
				Dimensions = ["minecraft:overworld"]

			[world.blossom_trees.orange.biome_config]

				[world.blossom_trees.orange.biome_config.types]
					#Allowed values: [[hot, cold, sparse, dense, wet, dry, savanna, coniferous,
					# jungle, spooky, dead, lush, mushroom, magical, rare,
					# plateau, modified, ocean, river, water, mesa, forest,
					# plains, mountain, hills, swamp, sandy, snowy, wasteland,
					# beach, void, overworld, nether, end, underground]
					"Biome Types" = ["savanna"]
					"Is Blacklist" = false

				[world.blossom_trees.orange.biome_config.biomes]
					Biomes = []
					"Is Blacklist" = true

		[world.blossom_trees.pink]
			Rarity = 100

			[world.blossom_trees.pink.dimensions]
				"Is Blacklist" = false
				Dimensions = ["minecraft:overworld"]

			[world.blossom_trees.pink.biome_config]

				[world.blossom_trees.pink.biome_config.types]
					#Allowed values: [[hot, cold, sparse, dense, wet, dry, savanna, coniferous,
					# jungle, spooky, dead, lush, mushroom, magical, rare,
					# plateau, modified, ocean, river, water, mesa, forest,
					# plains, mountain, hills, swamp, sandy, snowy, wasteland,
					# beach, void, overworld, nether, end, underground]
					"Biome Types" = ["mountain"]
					"Is Blacklist" = false

				[world.blossom_trees.pink.biome_config.biomes]
					Biomes = []
					"Is Blacklist" = true

		[world.blossom_trees.yellow]
			Rarity = 200

			[world.blossom_trees.yellow.dimensions]
				"Is Blacklist" = false
				Dimensions = ["minecraft:overworld"]

			[world.blossom_trees.yellow.biome_config]

				[world.blossom_trees.yellow.biome_config.types]
					#Allowed values: [[hot, cold, sparse, dense, wet, dry, savanna, coniferous,
					# jungle, spooky, dead, lush, mushroom, magical, rare,
					# plateau, modified, ocean, river, water, mesa, forest,
					# plains, mountain, hills, swamp, sandy, snowy, wasteland,
					# beach, void, overworld, nether, end, underground]
					"Biome Types" = ["plains"]
					"Is Blacklist" = false

				[world.blossom_trees.yellow.biome_config.biomes]
					Biomes = []
					"Is Blacklist" = true

		[world.blossom_trees.red]
			Rarity = 30

			[world.blossom_trees.red.dimensions]
				"Is Blacklist" = false
				Dimensions = ["minecraft:overworld"]

			[world.blossom_trees.red.biome_config]

				[world.blossom_trees.red.biome_config.types]
					#Allowed values: [[hot, cold, sparse, dense, wet, dry, savanna, coniferous,
					# jungle, spooky, dead, lush, mushroom, magical, rare,
					# plateau, modified, ocean, river, water, mesa, forest,
					# plains, mountain, hills, swamp, sandy, snowy, wasteland,
					# beach, void, overworld, nether, end, underground]
					"Biome Types" = ["mesa"]
					"Is Blacklist" = false

				[world.blossom_trees.red.biome_config.biomes]
					Biomes = []
					"Is Blacklist" = true

	[world.big_stone_clusters]
		#Blocks that stone clusters can replace. If you want to make it so it only replaces in one dimension,
		#do "block|dimension", as we do for netherrack and end stone by default.
		"Blocks To Replace" = ["minecraft:stone", "minecraft:andesite", "minecraft:diorite", "minecraft:granite", "minecraft:netherrack|minecraft:the_nether", "minecraft:end_stone|minecraft:the_end", "quark:marble", "quark:limestone", "quark:jasper", "quark:slate"]

		[world.big_stone_clusters.calcite]
			Enabled = true
			#Allowed values: [0,)
			Rarity = 4
			#Allowed values: [-64,320]
			"Min Y Level" = 20
			#Allowed values: [-64,320]
			"Max Y Level" = 80
			#Allowed values: [0,)
			"Horizontal Size" = 14
			#Allowed values: [0,)
			"Vertical Size" = 14
			#Allowed values: [0,)
			"Horizontal Variation" = 9
			#Allowed values: [0,)
			"Vertical Variation" = 9

			[world.big_stone_clusters.calcite.dimensions]
				"Is Blacklist" = false
				Dimensions = ["minecraft:overworld"]

			[world.big_stone_clusters.calcite.biomes]

				[world.big_stone_clusters.calcite.biomes.types]
					#Allowed values: [[hot, cold, sparse, dense, wet, dry, savanna, coniferous,
					# jungle, spooky, dead, lush, mushroom, magical, rare,
					# plateau, modified, ocean, river, water, mesa, forest,
					# plains, mountain, hills, swamp, sandy, snowy, wasteland,
					# beach, void, overworld, nether, end, underground]
					"Biome Types" = ["mountain"]
					"Is Blacklist" = false

				[world.big_stone_clusters.calcite.biomes.biomes]
					Biomes = []
					"Is Blacklist" = true

		[world.big_stone_clusters.limestone]
			Enabled = true
			#Allowed values: [0,)
			Rarity = 4
			#Allowed values: [-64,320]
			"Min Y Level" = 20
			#Allowed values: [-64,320]
			"Max Y Level" = 80
			#Allowed values: [0,)
			"Horizontal Size" = 14
			#Allowed values: [0,)
			"Vertical Size" = 14
			#Allowed values: [0,)
			"Horizontal Variation" = 9
			#Allowed values: [0,)
			"Vertical Variation" = 9

			[world.big_stone_clusters.limestone.dimensions]
				"Is Blacklist" = false
				Dimensions = ["minecraft:overworld"]

			[world.big_stone_clusters.limestone.biomes]

				[world.big_stone_clusters.limestone.biomes.types]
					#Allowed values: [[hot, cold, sparse, dense, wet, dry, savanna, coniferous,
					# jungle, spooky, dead, lush, mushroom, magical, rare,
					# plateau, modified, ocean, river, water, mesa, forest,
					# plains, mountain, hills, swamp, sandy, snowy, wasteland,
					# beach, void, overworld, nether, end, underground]
					"Biome Types" = ["swamp", "ocean"]
					"Is Blacklist" = false

				[world.big_stone_clusters.limestone.biomes.biomes]
					Biomes = []
					"Is Blacklist" = true

		[world.big_stone_clusters.jasper]
			Enabled = true
			#Allowed values: [0,)
			Rarity = 4
			#Allowed values: [-64,320]
			"Min Y Level" = 20
			#Allowed values: [-64,320]
			"Max Y Level" = 80
			#Allowed values: [0,)
			"Horizontal Size" = 14
			#Allowed values: [0,)
			"Vertical Size" = 14
			#Allowed values: [0,)
			"Horizontal Variation" = 9
			#Allowed values: [0,)
			"Vertical Variation" = 9

			[world.big_stone_clusters.jasper.dimensions]
				"Is Blacklist" = false
				Dimensions = ["minecraft:overworld"]

			[world.big_stone_clusters.jasper.biomes]

				[world.big_stone_clusters.jasper.biomes.types]
					#Allowed values: [[hot, cold, sparse, dense, wet, dry, savanna, coniferous,
					# jungle, spooky, dead, lush, mushroom, magical, rare,
					# plateau, modified, ocean, river, water, mesa, forest,
					# plains, mountain, hills, swamp, sandy, snowy, wasteland,
					# beach, void, overworld, nether, end, underground]
					"Biome Types" = ["mesa", "sandy"]
					"Is Blacklist" = false

				[world.big_stone_clusters.jasper.biomes.biomes]
					Biomes = []
					"Is Blacklist" = true

		[world.big_stone_clusters.shale]
			Enabled = true
			#Allowed values: [0,)
			Rarity = 4
			#Allowed values: [-64,320]
			"Min Y Level" = 20
			#Allowed values: [-64,320]
			"Max Y Level" = 80
			#Allowed values: [0,)
			"Horizontal Size" = 14
			#Allowed values: [0,)
			"Vertical Size" = 14
			#Allowed values: [0,)
			"Horizontal Variation" = 9
			#Allowed values: [0,)
			"Vertical Variation" = 9

			[world.big_stone_clusters.shale.dimensions]
				"Is Blacklist" = false
				Dimensions = ["minecraft:overworld"]

			[world.big_stone_clusters.shale.biomes]

				[world.big_stone_clusters.shale.biomes.types]
					#Allowed values: [[hot, cold, sparse, dense, wet, dry, savanna, coniferous,
					# jungle, spooky, dead, lush, mushroom, magical, rare,
					# plateau, modified, ocean, river, water, mesa, forest,
					# plains, mountain, hills, swamp, sandy, snowy, wasteland,
					# beach, void, overworld, nether, end, underground]
					"Biome Types" = ["snowy"]
					"Is Blacklist" = false

				[world.big_stone_clusters.shale.biomes.biomes]
					Biomes = []
					"Is Blacklist" = true

		[world.big_stone_clusters.myalite]
			"Generate In Air" = true
			Enabled = true
			#Allowed values: [0,)
			Rarity = 100
			#Allowed values: [-64,320]
			"Min Y Level" = 58
			#Allowed values: [-64,320]
			"Max Y Level" = 62
			#Allowed values: [0,)
			"Horizontal Size" = 20
			#Allowed values: [0,)
			"Vertical Size" = 40
			#Allowed values: [0,)
			"Horizontal Variation" = 6
			#Allowed values: [0,)
			"Vertical Variation" = 10

			[world.big_stone_clusters.myalite.dimensions]
				"Is Blacklist" = false
				Dimensions = ["minecraft:the_end"]

			[world.big_stone_clusters.myalite.biomes]

				[world.big_stone_clusters.myalite.biomes.types]
					#Allowed values: [[hot, cold, sparse, dense, wet, dry, savanna, coniferous,
					# jungle, spooky, dead, lush, mushroom, magical, rare,
					# plateau, modified, ocean, river, water, mesa, forest,
					# plains, mountain, hills, swamp, sandy, snowy, wasteland,
					# beach, void, overworld, nether, end, underground]
					"Biome Types" = []
					"Is Blacklist" = true

				[world.big_stone_clusters.myalite.biomes.biomes]
					Biomes = ["minecraft:end_highlands"]
					"Is Blacklist" = false

	[world.big_dungeon]
		#The chance that a big dungeon spawn candidate will be allowed to spawn. 0.2 is 20%, which is the same as the Pillager Outpost.
		"Spawn Chance" = 0.1
		"Loot Table" = "minecraft:chests/simple_dungeon"
		"Max Rooms" = 10
		"Min Start Y" = -40
		"Max Start Y" = -20
		"Chest Chance" = 0.5

		[world.big_dungeon.biome_config]

			[world.big_dungeon.biome_config.types]
				#Allowed values: [[hot, cold, sparse, dense, wet, dry, savanna, coniferous,
				# jungle, spooky, dead, lush, mushroom, magical, rare,
				# plateau, modified, ocean, river, water, mesa, forest,
				# plains, mountain, hills, swamp, sandy, snowy, wasteland,
				# beach, void, overworld, nether, end, underground]
				"Biome Types" = ["ocean", "beach", "nether", "end"]
				"Is Blacklist" = true

			[world.big_dungeon.biome_config.biomes]
				Biomes = []
				"Is Blacklist" = true

	[world.azalea_wood]
		#This feature disables itself if any of the following mods are loaded: 
		# - caverns_and_chasms
		#This is done to prevent content overlap.
		#You can turn this on to force the feature to be loaded even if the above mods are also loaded.
		"Ignore Anti Overlap" = false

[mobs]
	Wraith = true
	Toretoise = true
	Stonelings = true
	Shiba = true
	Frogs = true
	Foxhound = true
	Forgotten = true
	Crabs = true

	[mobs.wraith]
		#List of sound sets to use with wraiths.
		#Three sounds must be provided per entry, separated by | (in the format idle|hurt|death). Leave blank for no sound (i.e. if a mob has no ambient noise)
		"Wraith Sounds" = ["entity.sheep.ambient|entity.sheep.hurt|entity.sheep.death", "entity.cow.ambient|entity.cow.hurt|entity.cow.death", "entity.pig.ambient|entity.pig.hurt|entity.pig.death", "entity.chicken.ambient|entity.chicken.hurt|entity.chicken.death", "entity.horse.ambient|entity.horse.hurt|entity.horse.death", "entity.cat.ambient|entity.cat.hurt|entity.cat.death", "entity.wolf.ambient|entity.wolf.hurt|entity.wolf.death", "entity.villager.ambient|entity.villager.hurt|entity.villager.death", "entity.polar_bear.ambient|entity.polar_bear.hurt|entity.polar_bear.death", "entity.zombie.ambient|entity.zombie.hurt|entity.zombie.death", "entity.skeleton.ambient|entity.skeleton.hurt|entity.skeleton.death", "entity.spider.ambient|entity.spider.hurt|entity.spider.death", "|entity.creeper.hurt|entity.creeper.death", "entity.endermen.ambient|entity.endermen.hurt|entity.endermen.death", "entity.zombie_pig.ambient|entity.zombie_pig.hurt|entity.zombie_pig.death", "entity.witch.ambient|entity.witch.hurt|entity.witch.death", "entity.blaze.ambient|entity.blaze.hurt|entity.blaze.death", "entity.llama.ambient|entity.llama.hurt|entity.llama.death", "|quark:entity.stoneling.cry|quark:entity.stoneling.die", "quark:entity.frog.idle|quark:entity.frog.hurt|quark:entity.frog.die"]

		[mobs.wraith.spawn_config]
			"Max Cost" = 0.7
			"Spawn Cost" = 0.15
			#Allowed values: (0,)
			"Spawn Weight" = 8
			#Allowed values: [1,)
			"Min Group Size" = 1
			#Allowed values: [1,)
			"Max Group Size" = 3

			[mobs.wraith.spawn_config.biomes]

				[mobs.wraith.spawn_config.biomes.types]
					#Allowed values: [[hot, cold, sparse, dense, wet, dry, savanna, coniferous,
					# jungle, spooky, dead, lush, mushroom, magical, rare,
					# plateau, modified, ocean, river, water, mesa, forest,
					# plains, mountain, hills, swamp, sandy, snowy, wasteland,
					# beach, void, overworld, nether, end, underground]
					"Biome Types" = []
					"Is Blacklist" = true

				[mobs.wraith.spawn_config.biomes.biomes]
					Biomes = ["minecraft:soul_sand_valley"]
					"Is Blacklist" = false

	[mobs.toretoise]
		"Max Y Level" = 0
		#The number of ticks from mining a tortoise until feeding it could cause it to regrow.
		"Cooldown Ticks" = 1200
		#The items that can be fed to toretoises to make them regrow ores.
		Foods = ["minecraft:glow_berries"]
		#Feeding a toretoise after cooldown will regrow them with a one-in-this-number chance. Set to 1 to always regrow, or 0 to disable.
		"Regrow Chance" = 3

		[mobs.toretoise.dimensions]
			"Is Blacklist" = false
			Dimensions = ["minecraft:overworld"]

		[mobs.toretoise.spawn_config]
			#Allowed values: (0,)
			"Spawn Weight" = 120
			#Allowed values: [1,)
			"Min Group Size" = 2
			#Allowed values: [1,)
			"Max Group Size" = 4

			[mobs.toretoise.spawn_config.biomes]

				[mobs.toretoise.spawn_config.biomes.types]
					#Allowed values: [[hot, cold, sparse, dense, wet, dry, savanna, coniferous,
					# jungle, spooky, dead, lush, mushroom, magical, rare,
					# plateau, modified, ocean, river, water, mesa, forest,
					# plains, mountain, hills, swamp, sandy, snowy, wasteland,
					# beach, void, overworld, nether, end, underground]
					"Biome Types" = ["void", "nether", "end"]
					"Is Blacklist" = true

				[mobs.toretoise.spawn_config.biomes.biomes]
					Biomes = []
					"Is Blacklist" = true

	[mobs.stonelings]
		"Max Y Level" = 0
		"Enable Diamond Heart" = true
		"Cautious Stonelings" = true
		"Tamable Stonelings" = true
		#Disabled if if Pathfinder Maps are disabled.
		"Weald Pathfinder Maps" = true

		[mobs.stonelings.dimensions]
			"Is Blacklist" = false
			Dimensions = ["minecraft:overworld"]

		[mobs.stonelings.spawn_config]
			#Allowed values: (0,)
			"Spawn Weight" = 80
			#Allowed values: [1,)
			"Min Group Size" = 1
			#Allowed values: [1,)
			"Max Group Size" = 1

			[mobs.stonelings.spawn_config.biomes]

				[mobs.stonelings.spawn_config.biomes.types]
					#Allowed values: [[hot, cold, sparse, dense, wet, dry, savanna, coniferous,
					# jungle, spooky, dead, lush, mushroom, magical, rare,
					# plateau, modified, ocean, river, water, mesa, forest,
					# plains, mountain, hills, swamp, sandy, snowy, wasteland,
					# beach, void, overworld, nether, end, underground]
					"Biome Types" = ["void", "nether", "end"]
					"Is Blacklist" = true

				[mobs.stonelings.spawn_config.biomes.biomes]
					Biomes = []
					"Is Blacklist" = true

	[mobs.shiba]
		"Ignore Areas With Skylight" = false

		[mobs.shiba.spawn_config]
			#Allowed values: (0,)
			"Spawn Weight" = 40
			#Allowed values: [1,)
			"Min Group Size" = 1
			#Allowed values: [1,)
			"Max Group Size" = 3

			[mobs.shiba.spawn_config.biomes]

				[mobs.shiba.spawn_config.biomes.types]
					#Allowed values: [[hot, cold, sparse, dense, wet, dry, savanna, coniferous,
					# jungle, spooky, dead, lush, mushroom, magical, rare,
					# plateau, modified, ocean, river, water, mesa, forest,
					# plains, mountain, hills, swamp, sandy, snowy, wasteland,
					# beach, void, overworld, nether, end, underground]
					"Biome Types" = ["mountain"]
					"Is Blacklist" = false

				[mobs.shiba.spawn_config.biomes.biomes]
					Biomes = []
					"Is Blacklist" = true

	[mobs.frogs]
		"Enable Brewing" = true
		"Enable Big Funny" = false

		[mobs.frogs.spawn_config]
			#Allowed values: (0,)
			"Spawn Weight" = 40
			#Allowed values: [1,)
			"Min Group Size" = 1
			#Allowed values: [1,)
			"Max Group Size" = 3

			[mobs.frogs.spawn_config.biomes]

				[mobs.frogs.spawn_config.biomes.types]
					#Allowed values: [[hot, cold, sparse, dense, wet, dry, savanna, coniferous,
					# jungle, spooky, dead, lush, mushroom, magical, rare,
					# plateau, modified, ocean, river, water, mesa, forest,
					# plains, mountain, hills, swamp, sandy, snowy, wasteland,
					# beach, void, overworld, nether, end, underground]
					"Biome Types" = ["swamp"]
					"Is Blacklist" = false

				[mobs.frogs.spawn_config.biomes.biomes]
					Biomes = []
					"Is Blacklist" = true

	[mobs.foxhound]
		#The chance coal will tame a foxhound
		"Tame Chance" = 0.05

		[mobs.foxhound.spawn_config]
			#Allowed values: (0,)
			"Spawn Weight" = 30
			#Allowed values: [1,)
			"Min Group Size" = 1
			#Allowed values: [1,)
			"Max Group Size" = 2

			[mobs.foxhound.spawn_config.biomes]

				[mobs.foxhound.spawn_config.biomes.types]
					#Allowed values: [[hot, cold, sparse, dense, wet, dry, savanna, coniferous,
					# jungle, spooky, dead, lush, mushroom, magical, rare,
					# plateau, modified, ocean, river, water, mesa, forest,
					# plains, mountain, hills, swamp, sandy, snowy, wasteland,
					# beach, void, overworld, nether, end, underground]
					"Biome Types" = []
					"Is Blacklist" = true

				[mobs.foxhound.spawn_config.biomes.biomes]
					Biomes = ["minecraft:nether_wastes", "minecraft:basalt_deltas"]
					"Is Blacklist" = false

		[mobs.foxhound.lesser_spawn_config]
			"Max Cost" = 0.7
			"Spawn Cost" = 0.15
			#Allowed values: (0,)
			"Spawn Weight" = 2
			#Allowed values: [1,)
			"Min Group Size" = 1
			#Allowed values: [1,)
			"Max Group Size" = 1

			[mobs.foxhound.lesser_spawn_config.biomes]

				[mobs.foxhound.lesser_spawn_config.biomes.types]
					#Allowed values: [[hot, cold, sparse, dense, wet, dry, savanna, coniferous,
					# jungle, spooky, dead, lush, mushroom, magical, rare,
					# plateau, modified, ocean, river, water, mesa, forest,
					# plains, mountain, hills, swamp, sandy, snowy, wasteland,
					# beach, void, overworld, nether, end, underground]
					"Biome Types" = []
					"Is Blacklist" = true

				[mobs.foxhound.lesser_spawn_config.biomes.biomes]
					Biomes = ["minecraft:soul_sand_valley"]
					"Is Blacklist" = false

	[mobs.forgotten]
		#1 in this many Skeletons that spawn under the threshold are replaced with Forgotten.
		"Forgotten Spawn Rate" = 0.05
		"Max Height For Spawn" = 0

	[mobs.crabs]
		"Enable Brewing" = true

		[mobs.crabs.spawn_config]
			#Allowed values: (0,)
			"Spawn Weight" = 5
			#Allowed values: [1,)
			"Min Group Size" = 1
			#Allowed values: [1,)
			"Max Group Size" = 3

			[mobs.crabs.spawn_config.biomes]

				[mobs.crabs.spawn_config.biomes.types]
					#Allowed values: [[hot, cold, sparse, dense, wet, dry, savanna, coniferous,
					# jungle, spooky, dead, lush, mushroom, magical, rare,
					# plateau, modified, ocean, river, water, mesa, forest,
					# plains, mountain, hills, swamp, sandy, snowy, wasteland,
					# beach, void, overworld, nether, end, underground]
					"Biome Types" = ["beach"]
					"Is Blacklist" = false

				[mobs.crabs.spawn_config.biomes.biomes]
					Biomes = []
					"Is Blacklist" = true

[client]
	"Variant Animal Textures" = true
	"Uses For Curses" = true
	"Usage Ticker" = true
	"Soul Candles" = true
	"Microcrafting Helper" = true
	"Improved Tooltips" = true
	"Greener Grass" = true
	"Chest Searching" = true
	"Back Button Keybind" = true
	"Auto Walk Keybind" = true

	[client.variant_animal_textures]
		"Enable Cow" = true
		"Enable Pig" = true
		"Enable Chicken" = true
		"Enable Shiny Rabbit" = true
		"Enable Shiny Llama" = true
		"Enable Shiny Dolphin" = true
		"Enable L G B T Bees" = true
		"Every Bee Is L G B T" = false
		#The chance for an animal to have a special "Shiny" skin, like a shiny pokemon. This is 1 in X. Set to 0 to disable.
		"Shiny Animal Chance" = 2048
		#If a shiny animal should emit occasional sparkles.
		"Shiny Sparkles" = true

	[client.uses_for_curses]
		"Vanish Pumpkin Overlay" = true
		"Bind Armor Stands With Player Heads" = true

	[client.usage_ticker]
		#Switch the armor display to the off hand side and the hand display to the main hand side
		Invert = false
		"Shift Left" = 0
		"Shift Right" = 0
		"Enable Main Hand" = true
		"Enable Off Hand" = true
		"Enable Armor" = true

	[client.improved_tooltips]
		"Attribute Tooltips" = true
		"Food Tooltips" = true
		"Shulker Tooltips" = true
		"Map Tooltips" = true
		"Enchanting Tooltips" = true
		"Shulker Box Use Colors" = true
		"Shulker Box Require Shift" = false
		"Map Require Shift" = false
		"Show Saturation" = true
		"Food Compression Threshold" = 4
		#The value of each shank of food. Tweak this when using mods like Hardcore Hunger which change that value.
		"Food Divisor" = 2
		"Enchanting Stacks" = ["minecraft:diamond_sword", "minecraft:diamond_pickaxe", "minecraft:diamond_shovel", "minecraft:diamond_axe", "minecraft:diamond_hoe", "minecraft:diamond_helmet", "minecraft:diamond_chestplate", "minecraft:diamond_leggings", "minecraft:diamond_boots", "minecraft:shears", "minecraft:bow", "minecraft:fishing_rod", "minecraft:crossbow", "minecraft:trident", "minecraft:elytra", "quark:pickarang"]
		#A list of additional stacks to display on each enchantment
		#The format is as follows:
		#enchant_id=item1,item2,item3...
		#So to display a carrot on a stick on a mending book, for example, you use:
		#minecraft:mending=minecraft:carrot_on_a_stick
		"Enchanting Additional Stacks" = []

	[client.greener_grass]
		"Affect Leaves" = true
		"Block List" = ["minecraft:large_fern", "minecraft:tall_grass", "minecraft:grass_block", "minecraft:fern", "minecraft:grass", "minecraft:potted_fern", "minecraft:sugar_cane", "environmental:giant_tall_grass", "valhelsia_structures:grass_block"]
		"Leaves List" = ["minecraft:spruce_leaves", "minecraft:birch_leaves", "minecraft:oak_leaves", "minecraft:jungle_leaves", "minecraft:acacia_leaves", "minecraft:dark_oak_leaves", "atmospheric:rosewood_leaves", "atmospheric:morado_leaves", "atmospheric:yucca_leaves", "autumnity:maple_leaves", "environmental:willow_leaves", "environmental:hanging_willow_leaves", "minecraft:vine"]

		[client.greener_grass.color_matrix]
			R = [0.89, 0.0, 0.0]
			G = [0.0, 1.11, 0.0]
			B = [0.0, 0.0, 0.89]

	[client.chest_searching]

		[client.chest_searching.overlay_color]
			A = 0.67
			R = 0.0
			G = 0.0
			B = 0.0

	[client.auto_walk_keybind]
		"Draw Hud" = true
		"Hud Height" = 10

[experimental]
	"Zombie Villagers On Normal" = false
	"Spawner Replacer" = false
	"Overlay Shader" = false
	"Narrator Readout" = false
	"Game Nerfs" = false
	"Enchantments Begone" = false
	"Adjustable Chat" = false

	[experimental.spawner_replacer]
		#Mobs to be replaced with other mobs.
		#Format is: "mob1,mob2", i.e. "minecraft:spider,minecraft:skeleton"
		"Replace Mobs" = []

	[experimental.overlay_shader]
		#Sets the name of the shader to load on a regular basis. This can load any shader the Camera module can (and requires the Camera module enabled to apply said logic).
		#Some useful shaders include 'desaturate', 'oversaturate', 'bumpy'
		#Colorblind simulation shaders are available in the form of 'deuteranopia', 'protanopia', 'tritanopia', and 'achromatopsia'
		Shader = "none"

	[experimental.game_nerfs]
		#Makes Mending act like the Unmending mod
		#https://www.curseforge.com/minecraft/mc-mods/unmending
		"Nerf Mending" = true
		#Resets all villager discounts when zombified to prevent reducing prices to ridiculous levels
		"Nerf Villager Discount" = true
		#Makes Iron Golems not drop Iron Ingots
		"Disable Iron Farms" = true
		#Makes Boats not glide on ice
		"Disable Ice Roads" = true
		#Makes Sheep not drop Wool when killed
		"Disable Wool Drops" = true

	[experimental.enchantments_begone]
		"Enchantments To Begone" = []

	[experimental.adjustable_chat]
		"Horizontal Shift" = 0
		"Vertical Shift" = 0

[oddities]
	"Totem Of Holding" = false
	"Tiny Potato" = false
	Pipes = false
	"Matrix Enchanting" = false
	Magnets = false
	Crate = false
	Backpack = false

	[oddities.totem_of_holding]
		#Set this to false to remove the behaviour where totems destroy themselves if the player dies again.
		"Dark Souls Mode" = true
		#Totem will always spawn if the player killer is himself.
		"Spawn Totem on PVP Kill" = false
		#Set this to true to make it so that if a totem is destroyed, the items it holds are destroyed alongside it rather than dropped
		"Destroy Lost Items" = false
		#Set this to false to only allow the owner of a totem to collect its items rather than any player
		"Allow Anyone To Collect" = true
		"Enable Soul Compass" = true

	[oddities.tiny_potato]
		#This feature disables itself if any of the following mods are loaded: 
		# - botania
		#This is done to prevent content overlap.
		#You can turn this on to force the feature to be loaded even if the above mods are also loaded.
		"Ignore Anti Overlap" = false
		#Set this to true to use the recipe without the Heart of Diamond, even if the Heart of Diamond is enabled.
		"Never Use Heart Of Diamond" = false

	[oddities.pipes]
		#How long it takes for an item to cross a pipe. Bigger = slower.
		"Pipe Speed" = 5
		#Set to 0 if you don't want pipes to have a max amount of items
		"Max Pipe Items" = 16
		#When items eject or are absorbed by pipes, should they make sounds?
		"Do Pipes Whoosh" = true

	[oddities.matrix_enchanting]
		#The maximum enchanting power the matrix enchanter can accept
		"Max Bookshelves" = 15
		#Should this be X, the price of a piece increase by 1 every X pieces you generate
		"Piece Price Scale" = 9
		#The higher this is, the better enchantments you'll get on books
		"Book Enchantability" = 12
		#How many pieces you can generate without any bookshelves
		"Base Max Piece Count" = 3
		#How many pieces you can generate without any bookshelves (for Books)
		"Base Max Piece Count Book" = 1
		#At which piece count the calculation for the min level should default to increasing one per piece rather than using the scale factor
		"Min Level Cutoff" = 8
		#How many pieces a single Lapis can generate
		"Charge Per Lapis" = 4
		#How much the min level requirement for adding a new piece should increase for each piece added (up until the value of Min Level Cutoff)
		"Min Level Scale Factor" = 1.2
		#How much the min level requirement for adding a new piece to a book should increase per each bookshelf being used
		"Min Level Scale Factor Book" = 2.0
		#How much to multiply the frequency of pieces where at least one of the same type has been generated
		"Dupe Multiplier" = 1.4
		#How much to multiply the frequency of pieces where incompatible pieces have been generated
		"Incompatible Multiplier" = 0.0
		#Set to false to disable the ability to create Enchanted Books
		"Allow Books" = true
		#Set this to true to allow treasure enchantments to be rolled as pieces
		"Allow Treasures" = false
		#Set to false to disable the tooltip for items with pending enchantments
		"Show Tooltip" = true
		#By default, enchantment rarities are fuzzed a bit to feel better with the new system. Set this to false to override this behaviour.
		"Normalize Rarity" = true
		#Matrix Enchanting can be done with water instead of air around the enchanting table. Set this to false to disable this behaviour.
		"Allow Underwater Enchanting" = true
		#Candles with soul sand below them or below the bookshelves dampen enchantments instead of influence them.
		"Soul Candles Invert" = true
		#A list of enchantment IDs you don't want the enchantment table to be able to create
		"Disallowed Enchantments" = []
		#An array of influences each candle should apply. This list must be 16 elements long, and is in order of wool colors.
		#A minus sign before an enchantment will make the influence decrease the probability of that enchantment.
		"Influences List" = ["minecraft:unbreaking", "minecraft:fire_protection", "minecraft:knockback,minecraft:punch", "minecraft:feather_falling", "minecraft:looting,minecraft:fortune,minecraft:luck_of_the_sea", "minecraft:blast_protection", "minecraft:silk_touch,minecraft:channeling", "minecraft:bane_of_arthropods", "minecraft:protection", "minecraft:respiration,minecraft:loyalty,minecraft:infinity", "minecraft:sweeping,minecraft:multishot", "minecraft:efficiency,minecraft:sharpness,minecraft:lure,minecraft:power,minecraft:impaling,minecraft:quick_charge", "minecraft:aqua_affinity,minecraft:depth_strider,minecraft:riptide", "minecraft:thorns,minecraft:piercing", "minecraft:fire_aspect,minecraft:flame", "minecraft:smite,minecraft:projectile_protection"]
		#An array of influences that other blocks should apply.
		#Format is: "blockstate;strength;color;enchantments", i.e. "minecraft:sea_pickle[pickles=1,waterlogged=false];1;#008000;minecraft:aqua_affinity,minecraft:depth_strider,minecraft:riptide" (etc) or "minecraft:anvil[facing=north];#808080;-minecraft:thorns,minecraft:unbreaking" (etc)
		"States To Influences" = []
		#Set to false to disable the ability to influence enchantment outcomes with candles
		"Allow Influencing" = true
		#The max amount of candles that can influence a single enchantment
		"Influence Max" = 4
		#How much each candle influences an enchantment. This works as a multiplier to its weight
		"Influence Power" = 0.125
		#If you set this to false, the vanilla Enchanting Table will no longer automatically convert to the Matrix Enchanting table. You'll have to add a recipe for the Matrix Enchanting Table to make use of this.
		"Automatically Convert" = true

	[oddities.magnets]
		#Any items you place in this list will be derived so that any block made of it will become magnetizable
		"Magnetic Derivation List" = ["minecraft:iron_ingot", "minecraft:copper_ingot", "minecraft:exposed_copper", "minecraft:weathered_copper", "minecraft:oxidized_copper", "minecraft:raw_iron", "minecraft:raw_copper", "minecraft:iron_ore", "minecraft:deepslate_iron_ore", "minecraft:copper_ore", "minecraft:deepslate_copper_ore"]
		"Magnetic Whitelist" = ["minecraft:chipped_anvil", "minecraft:damaged_anvil"]
		"Magnetic Blacklist" = ["minecraft:tripwire_hook"]

	[oddities.crate]
		"Max Items" = 640

	[oddities.backpack]
		#Set this to true to allow the backpacks to be unequipped even with items in them
		"Super Op Mode" = false
		"Enable Ravager Hide" = true
		"Items In Backpack Tick" = true
		"Base Ravager Hide Drop" = 1
		"Extra Chance Per Looting" = 0.5

